.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/device.c" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/device.c \- Device enumeration and information management. 
.SH SYNOPSIS
.br
.PP
\fC#include 'config.h'\fP
.br
\fC#include <sys/types.h>\fP
.br
\fC#include <assert.h>\fP
.br
\fC#include <stdbool.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <discover/discover.h>\fP
.br
\fC#include <discover/discover-conf.h>\fP
.br
\fC#include <discover/discover-xml.h>\fP
.br
\fC#include <discover/device.h>\fP
.br
\fC#include <discover/utils.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_find\fP (char *discover_class, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_data\fP (\fBdiscover_device_t\fP *device, char *discover_class, char *version, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_device_copy\fP (\fBdiscover_device_t\fP *src, \fBdiscover_device_t\fP *dst)"
.br
.ti -1c
.RI "char * \fBdiscover_data_get_class\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "char * \fBdiscover_data_get_text\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_parent\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_child\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_next\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_prev\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_get_first\fP (\fBdiscover_data_t\fP *data)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_data_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_data_free\fP (\fBdiscover_data_t\fP *data_tree)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_busclass\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_model_id\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_model_name\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_vendor_id\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "char * \fBdiscover_device_get_vendor_name\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "\fBdiscover_data_t\fP * \fBdiscover_device_get_data_struct\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_get_next\fP (\fBdiscover_device_t\fP *device)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_device_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_device_free\fP (\fBdiscover_device_t\fP *devices, int free_data)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Device enumeration and information management. 

This file contains many device-related routines. Most of these routines are used to alter or access data pertaining to a device. These routines will likely be most interesting to people writing code against the Discover API. 
.PP
Definition in file \fBdevice.c\fP.
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
